### Method

# Gtk Window set_default_widget

#### Declaration [src]

    void
    gtk_window_set_default_widget (
      GtkWindow* window,
      GtkWidget* default_widget
    )

#### Description [src]

Sets the default widget.

The default widget is the widget that is activated when the user presses `Enter` in a dialog (for example).

Sets property | `Gtk.Window:default-widget`

#### Parameters

`default_widget`

  Type: `GtkWidget`

  Widget to be the default.

  The argument can be `NULL`.
  The data is owned by the caller of the method.